Bug 450654 - FEAT: checking for boot parameters should be done before checking the kernel
FEAT: checking for boot parameters should be done before checking the kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
All Linux
low Severity low
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 04:54 EDT by YangKun
Modified: 2008-09-12 14:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 14:04:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description YangKun 2008-06-10 04:54:36 EDT
In the INFO test(hts-5.2-14), checking for boot parameters is added into the end
of the "checkKernel" method. which means, if the kernel is tainted, this method
will return "false" immediately, and the boot parameter checking will be
skipped. This is bad for reviewing. E.g., for those laptops which ships with
ipw3945/4965 wireless NIC and for those machines which uses 3rd party drivers,
we(or the hwcert catalog) can never get the boot parameters from the INFO's
output.log directly.

Can we re-schedule the boot parameter checking before checking the kernel in the
"checkKernel" method or add a new "checkBootParameter" method ?

Regards
-YK
Comment 1 Greg Nichols 2008-06-20 13:05:00 EDT
Fixed kernel checks to continue on failure - HTS 5.2 R17

Note You need to log in before you can comment on or make changes to this bug.